# class Camping::CommandsHelpers::RouteCollection

### Public Instance Methods

display() click to toggle source

Displays formatted routes from a route collection Assumes that `Route` structs are stored in :routes.

    # File lib/camping/commands.rb, line 37
    def display
      current_app, current_controller, current_method = "", "", ""
      puts "App      VERB     Route"
      routes.each { |r|
        if current_app != r.app.to_s
          current_app = r.app.to_s
          puts "-----------------------------------"
          puts r.app_header
        end
        if current_controller != r.controller.to_s
          current_controller = r.controller.to_s
          puts r.controller_header
        end
        puts r.padded_message true
      }
    end